let usage () = prerr_endline "Usage: godor CONTROL GODI_LOCALBASE"

let () =
    match Sys.argv with
      [| _; control_file; godi_dir |] ->
        let bmake = godi_dir ^ "/bin/bmake" in
        print_endline ("Parsing control file..");
        let chan = open_in control_file in
        let lexbuf = Lexing.from_channel chan in
        let control =
            Syntax.handle
                (fun () -> Controlparser.spec Controllexer.token lexbuf)
        in
        print_endline ("Writing package..");
        Control.write_package godi_dir control
    | _ -> usage ()
